Bug 436727 - weird logrotate entry defies reason
weird logrotate entry defies reason
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mgetty (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Nagy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-09 19:39 EDT by JW
Modified: 2016-07-26 19:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 09:59:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2008-03-09 19:39:39 EDT
Description of problem:
The distributed logrotate files (mgetty, mgetty-voice) rpms, contain weird
patterns patterns that attempt to exclude certain files for no apparent reason.
But there is a better way anyhow.

Version-Release number of selected component (if applicable):
mgetty-1.1.33-11

How reproducible:
Always

Steps to Reproduce:
1. read /etc/logrotate.d/mgetty  (and vgetty)
  
Actual results:
Contains patterns such as /var/log/mgetty.log.tty[^.][^.][^.][^.][^.][^.][^.]
and worse

Expected results:
See following

Additional info:
The exclusion of log files with a dot in suffix is obviously an attempt to
exclude already rotated log files (in non-dateext schemes).
But there is a better way anyhow:
    tabooext + mgetty.log.tty*[-.]*
    /var/log/mgetty.log.tty* {
       ...
    }
Comment 1 Martin Nagy 2008-04-10 09:59:00 EDT
Fixed in mgetty-1.1.36-1.fc10

Note You need to log in before you can comment on or make changes to this bug.